if (/(iPad|iPhone|iPod)/g.test(window.navigator.userAgent)) {

	document.write("<script src='js/ios/cordova.js'></script>");

	var cordovaFailed = function() {
		console.log("cordovaFailed");
	};

	window.fypay = {
		backToApp : function(success, payData) {
			cordova.exec(function(data) {
				success(JSON.parse(JSON.stringify(data)));
			}, cordovaFailed, "FuApp", "backToApp", [payData]);
		},
		encry : function(url, data) {
			cordova.exec(function(data) {
			}, cordovaFailed, "FuApp", "encry", [url, data]);
		},
		exit : function(exitMsg) {
			cordova.exec(function(data) {
			}, cordovaFailed, "FuApp", "exit", [exitMsg]);
		},
		getOrderBaseInfo : function(success) {
			cordova.exec(function(data) {
				success(JSON.parse(JSON.stringify(data)));
			}, cordovaFailed, "FuApp", "getOrderInfo", []);
		},
		getRSA : function(success, pwd) {
			cordova.exec(function(data) {
				success(data);
			}, cordovaFailed, "FuApp", "getRSA", [pwd]);
		},
		giveUpPay : function() {
			cordova.exec(function(data) {
				alert(data);
			}, cordovaFailed, "FuApp", "giveUpPay", []);
		},
		paySuccess : function() {
			cordova.exec(function(data) {
				alert(data);
			}, cordovaFailed, "FuApp", "paySuccess", []);
		},

		showKeyBoard : function(success) {
			cordova.exec(function() {
			}, cordovaFailed, "FuApp", "showKeyBoard", []);
		}
	};
}

var keyDown = {
	inputClick : function(clickId) {
		window.fypay.showKeyBoard(clickId);
	},
};
//获取订单的基本信息

var version;

$(function() {
	// $.getJSON("mobilepaysdk/../version.json", function(data) {
	// version = data.version;
	// });
	// if (isPage("card_setup_debit.html") || isPage("card_setup_credit.html")) {
	orderConfirm.getOrderBaseInfo();
	// }
});

//通过jsbridge加载订单基本信息成功后的回调
var loadOrderBaseInfoSuccess = function(orderInfo) {
	eval("var order = " + orderInfo);
	orderConfirm.init(order);
	// if (isPage("card_manager.html")) {
	// payOrder.queryMyBank();
	// return;
	// } else {
	// orderConfirm.qryOrderDetailInfo();
	// }
};
/**
 * 加载首页信息
 */
var str;
var orderConfirm = {
	bankname : '', //银行名
	mchntCd : '', //商户号
	orderNo : '', //富友订单号
	mchntOrderId : '', //商户订单号
	userId : '', //用户id
	cardno : '', //卡号
	cardType : '', //卡类型
	idCard : '', //证件号码
	name : '', //姓名
	idcardtype : '', //证件类型
	paytype : '', //支付模式
	version : '', //版本
	money : '', //金额
	key : '', //商户密钥
	ast : '', //是否需要短信验证码1-需要，0-不需要
	orderInfo : {},
	init : function(order) {
		orderConfirm.money = order.money;
		orderConfirm.mchntCd = order.mchntCd;
		orderConfirm.orderNo = order.orderNo;
		orderConfirm.bankname = order.bankname;
		orderConfirm.mchntOrderId = order.mchntOrderId;
		orderConfirm.userId = order.userId;
		orderConfirm.cardno = order.cardno;
		orderConfirm.cardType = order.cardType;
		orderConfirm.idCard = order.idCard;
		orderConfirm.name = order.name;
		orderConfirm.paytype = order.paytype;
		orderConfirm.idcardtype = order.idcardtype;
		orderConfirm.version = order.version;
		orderConfirm.key = order.key;
		$("#amt").val(order.money);
		$("#bankcardnumber").val(order.cardno);
		if (order.cardType == "01") {
			$("#bankName").val(order.bankname + "借记卡");
		} else if (order.cardType == "02") {
			("#bankName").val(order.bankname + "信用卡");
		}
		$("#username").val(order.name);
		$("#idnumber").val(order.idCard);
	},

	getOrderBaseInfo : function() {
		window.fypay.getOrderBaseInfo('loadOrderBaseInfoSuccess');

	},
}
/**
 * 验证码
 */
var VCODE = {
	second : 60,
	timer : null,
	//进行MD5字段拼接
	getVCode : function(mobileNo, mSuccess, mFail) {
		var sig = orderConfirm.paytype + "|" + orderConfirm.version + "|" + orderConfirm.mchntCd + 
		"|" + orderConfirm.orderNo + "|"+orderConfirm.mchntOrderId+"|"+orderConfirm.userId+
		"|"+orderConfirm.cardno+"|"+"0000"+"|" + mobileNo + "|"+""+"|"+ orderConfirm.key;
		var postData = {
			VERSION : orderConfirm.version,
			TYPE : orderConfirm.paytype,
			MCHNTORDERID : orderConfirm.mchntOrderId,
			MCHNTCD : orderConfirm.mchntCd,
			USERID : orderConfirm.userId,
			BANKCARD : orderConfirm.cardno,
			ORDERID : orderConfirm.orderNo,
			MOBILE : mobileNo,
			VERCD:"0000",
			VER :"sdk2.0",
			REM1 : "",
			REM2 : "",
			REM3 : "",
			SIGNTP : 'MD5',
			SIGN : hex_md5(sig).toUpperCase()
		};
		$.httpPost("sdkpay/messageSdkAction.pay", postData, true, function(msg) {
			var a= msg.substring(msg.indexOf("<SIGN>")+6,msg.indexOf("</SIGN>"));
			var f=msg.substring(msg.indexOf("<RESPONSECODE>")+14,msg.indexOf("</RESPONSECODE>"));
			str=msg.substring(msg.indexOf("<SIGNPAY>")+9,msg.indexOf("</SIGNPAY>"));
			var g=f+"|"+str+"|"+orderConfirm.key;
			if(a!=hex_md5(g)){
				alert("数据被篡改");
				window.fypay.paySuccess("数据被篡改");
			}
			mSuccess(msg);
		}, function(msg) {
				var a= msg.substring(msg.indexOf("<RESPONSEMSG>")+13,msg.indexOf("</RESPONSEMSG>"));
				alert(a);
			$("#loading").hide();
		});
	},

	beginTimer : function() {
		VCODE.second--;
		$("#btn_vcode").attr('disabled', true);
		$("#btn_vcode").html(VCODE.second);
		$('#loading').hide();
		if (VCODE.second == 0) {
			VCODE.second = 60;
			clearInterval(VCODE.timer);
			$("#btn_vcode").html("获取验证码");
			$("#btn_vcode").attr('disabled', false);
		}
	}
}

//选择银行，支付订单页面
var payOrder = {

	payWithBankCard : function() {//支付
		var a = $("#input_vcode").val().trim();
		var b = $("#mobileNumber").val().trim();
		if (a.length < 4) {
			alert("请输入正确的验证码");
			return;
		}
		if (a.length > 4) {
			alert("请输入正确的验证码");
			return;
		}
		if (b.length < 11) {
			alert("请输入正确的手机号码");
			return;
		}
		if (b.length > 11) {
			alert("请输入正确的手机号码");
			return;
		}
		$("#loading").show();
		var sing = orderConfirm.paytype + "|" + orderConfirm.version + "|" + orderConfirm.mchntCd + "|" + orderConfirm.orderNo + "|" + orderConfirm.mchntOrderId + "|" + orderConfirm.userId + "|" + orderConfirm.cardno + "|" + $("#input_vcode").val() + "|" + $("#mobileNumber").val() + "|" + "" + "|" + orderConfirm.key;
		var postData = {
			VERSION : orderConfirm.version,
			TYPE : orderConfirm.paytype,
			MCHNTCD : orderConfirm.mchntCd,
			ORDERID : orderConfirm.orderNo,
			MCHNTORDERID : orderConfirm.mchntOrderId,
			USERID : orderConfirm.userId,
			BANKCARD : orderConfirm.cardno,
			VERCD : $("#input_vcode").val(),
			MOBILE : $("#mobileNumber").val(),
			SIGNPAY:str,
			CVN : "",
			REM1 : "1.5",
			REM2 : "",
			REM3 : "",
			VER :"sdk2.0",
			SIGNTP : "MD5",
			SIGN : hex_md5(sing)
		};
		$.httpPost("sdkpay/payAction.pay", postData, true, function(msg) {
			window.fypay.paySuccess(msg);
			$("#loading").hide();
		}, function(msg) {
				var a= msg.substring(msg.indexOf("<RESPONSECODE>")+14,msg.indexOf("</RESPONSECODE>"));
				var b= msg.substring(msg.indexOf("<RESPONSEMSG>")+13,msg.indexOf("</RESPONSEMSG>"));
				if(a=="8143"||a=="51B3"){
					alert(b);
				}else{
					window.fypay.paySuccess(msg);
				}
			
			$("#loading").hide();
		});
	},

	//显示服务器返回商户信息
	//
	// queryMyBank2: function() {
	// var postData = {
	// Lid : orderConfirm.mobileNo,
	// Action : 'MchntDesp2',
	// OrderId : orderConfirm.orderNo
	// };
	// $.httpPost("fmp/doPay.pay", postData, true, function(data) {
	// var params = {
	// mobileNo : orderConfirm.mobileNo,
	// bst : "1",
	// orderNo : orderConfirm.orderNo,
	// MchntDesp : data.mchntDesp,
	// MchntCd : orderConfirm.mchntCd,
	// dbeits:data.dbeits,
	// dbeitm:data.dbeitm,
	// credits:data.credits,
	// creditm:data.creditm
	// };
	// // alert(data.mchntDesp);
	// window.location.href = 'card_setup_two.html?' + $.param(params)
	// }, function(msg) {
	// alert(msg);
	// $("#loading").hide();
	// });
	// },
	//
	// checkedCard: '', //选中的银行卡号
	// mobil: '', //该卡对应的手机号
	// pkey: '', //支付密码
	// queryMyBank: function() {
	// //查询用户绑定的银行卡接口
	// $.httpPost("nocardPay/queryBindCard.pay", {
	// Lid: orderConfirm.mobileNo
	// }, true, function(data) {
	// if (!isPage("card_manager.html")) {
	// if (data.cardNum == 0) {
	// var params = {
	// bst: 0,
	// mobileNo: orderConfirm.mobileNo
	// };
	// window.location.href = 'card_setup.html?' + $.param(params);
	// } else {
	// data.title = '选择银行';
	// payOrder.initBankList(data);
	// }
	// } else {
	// data.title = '银行卡管理';
	// payOrder.initBankList(data);
	// }
	// }, function(msg) {
	// alert(msg);
	// $("#loading").hide();
	// });
	// },
	// initBankList: function(data) {
	// for (var o in data.list) {
	// data.list[o].cardnm = payOrder.getCardType(data.list[o].cardtype);
	// }
	// var template = $('#tmpl_bank_list').html();
	// Mustache.parse(template); // optional, speeds up future uses
	// var rendered = Mustache.render(template, data);
	// $('#div_body').html(rendered);
	// $("#loading").hide();
	// if (isPage("card_manager.html")) {
	// PageManager.setCurrentPage(PageManager.cardMgrPage);
	// if (data.cardNum == 0) {
	// $("#div_nocard").show();
	// $("#div_hascard").hide();
	// } else {
	// $("#div_nocard").hide();
	// $("#div_hascard").show();
	// }
	// } else {
	// PageManager.setCurrentPage(PageManager.orderPayPage);
	// }

	// //设置默认选中
	// if (data.list.length == undefined) {
	// $("#card_no_" + data.list.cardNo + "").html(formatCardNo(data.list.cardNo));
	// $("#check_card_" + data.list.cardNo + "").attr("checked", data.list.payCard == 1);
	// if (data.list.payCard == 1) {
	// payOrder.setSelectCard(data.list.cardNo, data.list.bankPhone);
	// }
	// } else {
	// for (var o in data.list) {
	// $("#card_no_" + data.list[o].cardNo + "").html(formatCardNo(data.list[o].cardNo));
	// $("#check_card_" + data.list[o].cardNo + "").attr("checked", data.list[o].payCard == 1);
	// if (data.list[o].payCard == 1) {
	// payOrder.setSelectCard(data.list[o].cardNo, data.list[o].bankPhone);
	// }
	// }
	// }

	// if (orderConfirm.needVCode()) {
	// $("#div_bank_vcode").show();
	// } else {
	// $("#div_bank_vcode").hide();
	// }

	// //获得验证码
	// $("#btn_vcode").click(function() {
	// VCODE.getVCode(payOrder.mobil, function() {
	// $("#btn_vcode").attr('disabled', true);
	// VCODE.timer = window.setInterval(VCODE.beginTimer, 1000);
	// }, function() {
	// $("#btn_vcode").attr('disabled', false);
	//
	// });
	// });

	// $("#btn_pay").click(function() {
	// if (payOrder.verify()) {
	// payOrder.signPkey();
	// window.location.href = "card_setup_debit.html";
	// }
	// });
	// $("#btn_setdefault").click(function() {
	// CardManager.setDefaultPayCard();
	// });
	// $(".bank_list_item").swipe({
	// swipeLeft: function(event, phase, direction, distance, duration, fingerCount) {
	// $('.div_delete').hide();
	// $(this).find('.div_delete').show();
	// var cardNo = $(this).find(".card_no").val();
	// $(this).find('.div_delete').click(function() {
	// var del = window.confirm("确认删除？");
	// if (del) {
	// CardManager.deleteCard(cardNo);
	// } else {
	// $('.div_delete').hide();
	// }
	// });
	// //$(this).text("你用" + fingerCount + "个手指以" + duration + "秒的速度向" + direction + "滑动了" + distance + "像素 " + "你在" + phase + "中");
	// },
	// swipeRight: function(event, phase, direction, distance, duration, fingerCount) {
	// $('.div_delete').hide();
	// }
	// });
	// $("#btn_add_card").click(function() {
	// var isCard;
	// if (isPage("card_manager.html")) {
	// isCard = '1';
	// } else {
	// isCard = '0';
	// }
	// var params = {
	// mobileNo: orderConfirm.mobileNo,
	// isCardManager: isCard
	// };
	// window.location.href = "card_setup.html?" + $.param(params);
	// $("#loading").hide();
	// });

	// $("#btn_back_pwd").bind("click", function() {
	// var backPwdParams = {
	// mobileNo: orderConfirm.mobileNo,
	// isBackPwd: "1",
	// cardType: 1,
	// title_name: "找回密码"
	// };
	// window.location.href = "pay_pwd_setup.html?" + $.param(backPwdParams);
	// $('#loading').hide();
	// });
	//
	// },
	// getCardType: function(Ctp) {
	// switch (Ctp) {
	// case 1:
	// return "借记卡";
	// case 2:
	// return "信用卡";
	// case 4:
	// return "富友卡";
	// }
	// return "";
	// },
	//设置选中的银行卡
	// setSelectCard: function(card, mobile) {
	// payOrder.checkedCard = card;
	// payOrder.mobil = mobile;
	// },
	// signPkey: function() {
	// var password = $("#password").val();
	// window.fypay.getRSA('payOrder.setPkey', password);
	// },
	// //设置支付密码--加密后
	// setPkey: function(signKey) {
	// payOrder.pkey = signKey;
	// payOrder.pay();
	// },
	// //切换选中银行卡ected: function(obj, card, bankphone) {
	// var checkId = $(obj).attr("id");
	// $(".checkbox_card").each(function() {
	// if (checkId != $(this).attr("id")) {
	// $(this).attr("checked", false);
	// } else {
	// $(this).attr("checked", true);
	// }
	// });
	// payOrder.setSelectCard(card, bankphone);
	// },
	// verify: function() {
	// if(payOrder.checkedCard.length<1){
	// alert('请选择支付的卡号');
	// return false;
	// }
	// var password = $("#password").val().trim();
	// if (password == '') {
	// alert('请输入支付密码');
	// return false;
	// }
	// if (password.length < 6) {
	// alert('支付密码不正确');
	// return false;
	// }
	// if (orderConfirm.needVCode()) {
	// var vcode = $("#input_vcode").val().trim();
	// if (vcode == '') {
	// alert('请输入短信验证码');
	// return false;
	// }
	// if (vcode.length < 4) {
	// alert('短信验证码不正确');
	// return false;
	// }
	// }
	// return true;
	// },
	// verifyCardPay: function() {
	// if ($.urlParam("Ono").length < 1) {
	// alert('请重新选择支付的卡号');
	// return false;
	// }
	//
	// if (orderConfirm.needVCode()) {
	// var vcode = $("#input_vcode").val().trim();
	// if (vcode == '') {
	// alert('请输入短信验证码');
	// return false;
	// }
	// if (vcode.length < 4) {
	// alert('短信验证码不正确');
	// return false;
	// }
	// }
	//
	// return true;
	// },
	//借记卡支付
	//已绑卡支付支付方法
	// pay: function() {
	// $.httpPost("fmp/doPay.pay", {
	// Action: 'payOrder',
	// Lid: orderConfirm.mobileNo,
	// OrderId: orderConfirm.orderNo,
	// Ono: payOrder.checkedCard,
	// Mno: payOrder.mobil,
	// Pkey: payOrder.pkey,
	// VerCd: $("#input_vcode").val().trim(),
	// TxnTp: '3',
	// OkTp: '0',
	// OkIdx: '1',
	// OkFmt: '1'
	// }, true, function(data) {
	// orderConfirm.render(orderConfirm.orderInfo, false);
	// window.location.href = "card_setup_debit.html";
	// //history.go(-1);
	// }, function(msg) {
	// alert(msg);
	// $("#loading").hide();
	// });
	// },
	sendPost : function(url, data) {
		$.httpPostImpl(url, data);
	}
};
// var CardManager = {
// setDefaultPayCard: function() {
// //设置默认支付接口
// $.httpPost("nocardPay/setDefaultPayCard.pay", {
// Lid: orderConfirm.mobileNo,
// Ono: payOrder.checkedCard
// }, true, function(data) {
// alert('设置成功');
// }, function(msg) {
// alert(msg);
// $("#loading").hide();
// });
// },
// deleteCard: function(cardNo) {
// //删除绑定卡
// $.httpPost("nocardPay/delBindCard.pay", {
// Lid: orderConfirm.mobileNo,
// Ono: cardNo
// }, true, function(data) {
// payOrder.queryMyBank();
// }, function(msg) {
// alert(msg);
// $("#loading").hide();
// });
// }
// }

// var bindCard = {
//
// mobileNo: '', //用户手机号
// getVerCode: '0', //是否获取过手机验证码
// bst: '',//1为借记卡，2为设置支付密码
// //查询绑定的卡类型
// queryCard2: function() {
// bindCard.mobileNo = $.urlParam("mobileNo");
// bindCard.bst = $.urlParam("bst");
// var cardName = $("#card_name").val();
// if (cardName.length < 12 || cardName.length >= 20) {
// alert("请输入正确的银行卡");
// return;
// }
// var postData = {
// Ono: cardName,
// Lid: bindCard.mobileNo,
// MchntCd:$.urlParam("MchntCd"),
// //Ptp: '1',
// OrderId:$.urlParam("orderNo"),
// Action:'queryCardBin2'
// };
//
// //查询卡bin属性接口
// $.httpPost("fmp/doPay.pay", postData, true, function(fm) {
// if (fm.ctp == '05') {
// alert("该银行卡暂不支持快捷支付");
// return;
// } else if (fm.ctp == '06') {
// alert("该卡暂不支持，您可以先绑定信用卡");
// return;
// }
// var params = {
// cardType: fm.ctp,
// cardNm: fm.cnm,
// cardNo: cardName,
// insCd: fm.insCd,
// mobileNo: bindCard.mobileNo,
// isOpenNoPay: fm.isOpenNoPay,
// isUpdPwd: fm.isUpdPwd,
// orderNo:$.urlParam("orderNo"),
// bst: bindCard.bst,
// isCardManager: $.urlParam("isCardManager")
// };
// if (fm.ctp ==='01') { //借记卡
// window.location.href = "card_setup_debit.html?" + $.param(params);
// }
// else if (fm.ctp ==='02') { //信用卡
// window.location.href="card_setup_credit.html?"+$.param(params);
//
// }
// else if (fm.ctp == '04') { // 富友卡
// window.location.href = "card_setup_fucard.html?" + $.param(params);
// }
// }, function(desc) {
// alert(desc);
// $("#loading").hide();
// });
// },
//
// // queryCard: function() {
// // bindCard.mobileNo = $.urlParam("mobileNo");
// // bindCard.bst = $.urlParam("bst");
// // var cardName = $("#card_name").val();
// // if (cardName.length < 12 || cardName.length >= 20) {
// // alert("请输入正确的银行卡");
// // return;
// // }
// // var postData = {
// // Ono: cardName,
// // Lid: bindCard.mobileNo,
// // Ptp: '1',
// // Action:'queryCardBin'
// // };
// // //查询卡bin属性接口
// // $.httpPost("nocardPay/queryCardBin.pay", postData, true, function(fm) {
// // if (fm.ctp == '05') {
// // alert("该银行卡暂不支持快捷支付");
// // return;
// // } else if (fm.ctp == '06') {
// // alert("该卡暂不支持，您可以先绑定信用卡");
// // return;
// // }
// // var params = {
// // cardType: fm.ctp,
// // cardNm: fm.cnm,
// // cardNo: cardName,
// // insCd: fm.insCd,
// // mobileNo: bindCard.mobileNo,
// // isOpenNoPay: fm.isOpenNoPay,
// // isUpdPwd: fm.isUpdPwd,
// // orderNo:$.urlParam("orderNo"),
// // bst: bindCard.bst,
// // isCardManager: $.urlParam("isCardManager")
// // };
// // if (fm.ctp == '01') { //借记卡
// // window.location.href = "card_setup_debit_fast.html?" + $.param(params);
// // } else if (fm.ctp == '02') { //信用卡
// // window.location.href = "card_setup_credit_fast.html?" + $.param(params);
// // } else if (fm.ctp == '04') { // 富友卡
// // window.location.href = "card_setup_fucard.html?" + $.param(params);
// // }
// // }, function(desc) {
// // alert(desc);
// // $("#loading").hide();
// // });
// // },
//
// //进入卡片信息界面初始化
// // bindCardPageInit: function() {
// // var cardType = $.urlParam("cardType");
// // if (cardType == 1 || cardType == 2) { //借记卡 或者信用卡
// // if ($.urlParam("isOpenNoPay") != 0) { //当无卡支付未开通，输入实名认证信息
// // $("#id_card_no").attr('disabled', false);
// // $("#user_name").attr('disabled', false);
// // }
// // } else if (cardType == 4) { // 富友卡
// //
// // }
// // },
//
// // //校验卡用户的基本信息
// // checkCardUser: function(isNeedUserInfo) {
// // if (isNeedUserInfo) {
// // // if (!IdCardValidate($("#id_card_no").val())) {
// // // alert($("#id_card_no").val()+"身份证不过");
// // // alert("身份证格式错误");
// // // return false;
// // // }
// // if(!isIdCardNo($("#id_card_no").val())){
// // alert("身份证格式错误");
// // return false;
// // }
// // alert($("#id_card_no").val()+"身份证验过");
// // if ($("#user_name").val().length < 2) {
// // alert("请输入正确的持卡人姓名");
// // return false;
// // }
// // if ($("#mobile_no").val().length != 11) {
// // alert("手机号码格式错误");
// // return false;
// // }
// // return true;
// // }
// // },
//
// //借记卡支付
// bindDebitCard: function() {
// var md5Ssting= "02"+"|"+"2.0"+"|"+"0002900F0022256"+"|"+"16011411324800032227"
// var postData = {
// VERSION:'2.0',
// MCHNTCD:'0002900F0022256',
// ORDERID:'16011411324800032227',
// MCHNTORDERID:'123456799',
// USERID:'123456799',
// BANKCARD:'4563517501013883117',
// VERCD:'0000',
// CVN:"",
// TYPE:'02',
// MOBILE:'15115306803',
// REM1:"",
// REM2:"",
// REM3:"",
// SIGNTP:"MD5",
// SIGN:""
// };
//
// // if (!bindCard.checkCardUser(true)) {
// // return;
// // }
// bindCard.bst=$.urlParam('bst');
// bindCard.mobileNo = $.urlParam("mobileNo");
// var cardNo = $("#card_no").val();
// var idNo = $("#id_card_no").val();
// var userName = $("#user_name").val();
// var mobileNO = $("#mobile_no").val();
// var postData = {
//
// Lid: bindCard.mobileNo,
// Ono: cardNo,
// OCerTp: '0',
// Onm: userName,
// OCerNo: idNo,
// O23: '',
// Okey: '',
// OkTp: '2',
// OkFmt: '13',
// Cvn: '',
//
// Mno: mobileNO,
// Ver: version
// };
// var bst = $.urlParam("bst");
// if (bst == 1) { //验证借记卡
// var postData2 = {
// Lid: bindCard.mobileNo,
// Action: 'valid',
// Ono: cardNo,
// Onm: userName,
// OCerTp: '0',
// OCerNo: idNo,
// Mno: mobileNO,
// OrderId:$.urlParam("orderNo"),
// Cvn: '',
// System: 'JZH',
// BusiCd: 'CZ'
// };
// //pay_mobileNo = postData2.Mno;
// //alert("借记卡pay_mobileNo2"+pay_mobileNo);
// bindCard.sumitQuerCardReal(postData2);
// } else {
// //pay_mobileNo = postData.Mno;
// //alert("借记卡pay_mobileNo"+pay_mobileNo);
// bindCard.sumitBindCard(postData);
// }
//
//
//
// },
//
// //绑定富友卡
// bindFuCard: function() {
// var cardNo = $("#card_no").val();
// bindCard.mobileNo = $.urlParam("mobileNo");
// var postData = {
// Lid: bindCard.mobileNo,
// Ono: cardNo,
// OCerTp: '0',
// Onm: '',
// OCerNo: '',
// O23: '',
// Okey: '',
// OkTp: '2',
// OkFmt: '13',
// Cvn: '',
// Mno: bindCard.mobileNo,
// Ver: version
// };
// bindCard.sumitBindCard(postData);
// },
//
//
// //绑定信用卡→加密cvn
// bindCreditCard: function() {
//
// if (!bindCard.checkCardUser(true)) {
// return;
// }
// var cardCvn = $("#card_cvn").val();
// var mobileNO = $("#mobile_no").val();
// if (cardCvn.length !==3 ||cardCvn == "XXX") {
// alert("请输入正确的CVN号码");
// return;
// }
// var cardDate = $("#card_date").val();
// cardDate=cardDate.substr(2,cardDate.length).replace("-","");
// if (cardDate.length<1 ) {
//
// alert("请输入正确的信用卡有效期");
// return;
// }
// if (!bindCard.checkCardUser(true)) {
// return;
// }
// window.fypay.getRSA("bindCard.submitCreditCard", cardCvn + cardDate);
// },
// //提交信用卡信息
// submitCreditCard: function(enCvn) {
// var cardDate=$("#card_date").val();
// cardDate=cardDate.substr(2,cardDate.length).replace("-","");
// if (cardDate.length != 4) {
// alert("请输入正确的信用卡有效期");
// return;
// }
// var cardNo = $("#card_no").val();
// var idNo = $("#id_card_no").val();
// var userName = $("#user_name").val();
// var mobileNO = $("#mobile_no").val();
// bindCard.mobileNo = $.urlParam("mobileNo");
// var bst = $.urlParam("bst");
// var postData = {
// Lid: bindCard.mobileNo,
// Ono: cardNo,
// OCerTp: '0',
// Onm: userName,
// OCerNo: idNo,
// O23: '',
// Okey: '',
// OkTp: '2',
// OkFmt: '13',
// Cvn: enCvn,
// Mno: mobileNO,
// Ver: version
// }; //信用卡验证
// if (bst == 1) {
//
// postData = {
// Lid : bindCard.mobileNo,
// Status : "1",
// OrderId:$.urlParam("orderNo"),
// Ono : cardNo,
// Onm : userName,
// OCerTp : '0',
// OCerNo : idNo,
// Mno : mobileNO,
// Cvn : enCvn
// };
//
//
// // var postData = {
// // Lid: bindCard.mobileNo,
// // Action: 'valid',
// // Ono: cardNo,
// // Onm: userName,
// // Status:"1",
// // OCerTp: '0',
// // OCerNo: idNo,
// // Mno: mobileNO,
// // Cvn: enCvn,
// // System: 'JZH',
// // BusiCd: 'CZ'
// // };
// bindCard.sumitQuerCardReal(postData);
// }
// //去绑卡
// else {
// var postData = {
// Lid: bindCard.mobileNo,
// Ono: cardNo,
// OCerTp: '0',
// Onm: userName,
// OCerNo: idNo,
// O23: '',
// Okey: '',
// OkTp: '2',
// OkFmt: '13',
// Cvn: enCvn,
// Mno: mobileNO
// };
// bindCard.sumitBindCard(postData);
// }
// },
// //请求服务器提交查询实名卡信息
// sumitQuerCardReal: function(postData) {
// //bindCard.mobileNo = postData.Mno;
// //bindCard.mobileNo = $.urlParam("mobileNo");
//
// $.httpPost("mbPay/sdkCheck.pay", postData, true, function(msg) {
// var params = {
// //mobileNo: bindCard.mobileNo,
// cardType: $.urlParam("cardType"),
// isUpdPwd: $.urlParam("isUpdPwd"),
// isBackPwd: "0",
// title_name: "确认绑定",
// bst: $.urlParam("bst"),
// orderNo: $.urlParam("orderNo")
// };
//
// window.location.href = "pay_pwd_setup.html?" + $.param(params) + '&' + $.param(postData);
// }, function(msg) {
// alert(msg);
// $('#loading').hide();
// });
// },
//
// //请求服务器提交绑定卡信息
// sumitBindCard: function(postData) {
// //alert(JSON.stringify(postData));
// bindCard.mobileNo = $.urlParam("mobileNo");
// //绑定卡接口
// $.httpPost("nocardPay/bindCard.pay", postData, true, function(msg) {
// //alert(postData.Mno);
// var params = {
// mobileNo: bindCard.mobileNo,
// cardType: $.urlParam("cardType"),
// isUpdPwd: $.urlParam("isUpdPwd"),
// isBackPwd: "0",
// title_name: "确认绑定",
// bst: $.urlParam("bst"),
// Mno: postData.Mno,
// isCardManager: $.urlParam("isCardManager")
// };
// window.location.href = "pay_pwd_setup.html?"+'&' + $.param(postData);
// }, function(msg) {
// alert(msg);
// $("#loading").hide();
// });
// },
//
// //进入卡片信息界面初始化
// pwdPageInit: function() {
// $("#title_name").html($.urlParam("title_name"));
// var isUpdPwd = $.urlParam("isUpdPwd");
// var cardType = $.urlParam("cardType");
// if ($.urlParam("isBackPwd") == 1) {
// $("#id_card_no").show();
// } else {
// $("#id_card_no").hide(); //绑定卡隐藏身份证信息
// if (cardType == 1 || cardType == 2) { //借记卡 或者信用卡
// if (isUpdPwd == 0) { //当无卡支付未开通，需要输入两次支付密码
// $("#pay_pwd").attr('placeholder', '设置支付密码');
// $("#re_pay_pwd").attr('placeholder', '设置支付密码');
// } else {
// $("#re_pay_pwd").hide();
// }
// } else if (cardType == 4) { // 富友卡
// $("#re_pay_pwd").hide();
// $("#div_bank_vcode").hide();
// }
// }
//
// // $("#btn_vcode").click(function() {
// // //alert($.urlParam("mobileNo"));
// // if(pay_type=="1"){//修改密码
// // sendSms($.urlParam("mobileNo"));
// // }
// // else{
// // //alert("pay_mobileNo："+pay_mobileNo);
// // //alert("获取验证码手机号"+$.urlParam("Mno"));
// // sendSms($.urlParam("Mno"));
// // }
// // bindCard.getVerCode = "1";
// // });
//
// },
//
// //绑卡设置 支付密码
// setPayPwd: function() {
// var payPwd = $("#pay_pwd").val();
// var rePayPwd = $("#re_pay_pwd").val();
// var isUpdPwd = $.urlParam("isUpdPwd");//是否修改
// var cardType = $.urlParam("cardType");
// if (cardType == 1 || cardType == 2) { //借记卡 或者信用卡
// if (bindCard.getVerCode == 0) {
// alert("请先获取手机验证码");
// return false;
// }
// if ($("#input_vcode").val().length != 4) {
// alert("请输入手机验证码");
// return false;
// }
// if ($.urlParam("isBackPwd") == 1) {
// if (!IdCardValidate($("#id_card_no").val())) {
// alert($("#id_card_no").val());
// //alert("身份证格式错误");
// return false;
// }
// }
// if (payPwd.length < 6) {
// alert("请输入支付密码");
// return false;
// }
// if (isUpdPwd != 1) { //未设置过，校验确认支付密码
// if (rePayPwd.length < 6) {
// alert("请输入确认支付密码");
// return false;
// }
// if (payPwd != rePayPwd) {
// alert("两次密码输入不一致");
// return false;
// }
// }
// } else if (cardType == 4) { // 富友卡
// if (payPwd.length < 6) {
// alert("请输入支付密码");
// return false;
// }
// }
// window.fypay.getRSA("bindCard.submitBindPayPwd", payPwd);
// return true;
// },
// submitBindPayPwd: function(encrptPwd) {
// var isUpdPwd = $.urlParam("isUpdPwd");//是否修改
// var postData = {
// Lid: $.urlParam("mobileNo"),
// Status: $.urlParam("Status"),
// NpKey:$("#pay_pwd").val(),
// Ctp:"1"
// };
// //
// var postData1 = {
// Lid: $.urlParam("mobileNo"),
// Status: "0",
// NPKey:$("#pay_pwd").val(),//修改后的密码
// Ctp:"1"
// };
// postData.VerCd = $("#input_vcode").val();
// var action;
// if ($.urlParam("isBackPwd") == 1) { //找回密码
// pay_type = "1";
// action = "nocardPay/findPwd.pay";
// postData.OCerNo = $("#id_card_no").val();
// postData.Pkey = encrptPwd;
// postData.NLkey = "";
// postData.Ctp = "1";
// } else { //绑定卡
// //密码接口（修改，校验）
// action = "nocardPay/pwdUpdCheck.pay";
// postData.NLkey = "";
// postData.OLkey = "";
// if ($.urlParam("isUpdPwd") == 1) { //1 修改 2 校验
// postData.OPkey = encrptPwd;
// postData.NPkey = "";
//
// postData.Ctp = "2";
// } else {
// postData.NPkey = encrptPwd; //修改密码
// postData.OPkey = "";
// postData.Ctp = "1";
//
// }
// }
// $.httpPost(action, postData, true, function(msg) {
// if ($.urlParam("isBackPwd") == 1) {
// alert("找回支付密码成功");
// window.location.href = "card_setup_debit.html";
// //exec("javascript:history.go(-1);");
// // history.go(-1);
//
// } else {
// if ($.urlParam("isCardManager") == '1') {
// window.location.href = "card_manager.html";
// } else {
// alert('绑定成功');
// window.location.href = "card_setup_debit.html";
// }
// }
//
// }, function(msg) {
// alert(msg);
// $("#loading").hide();
// });
// }
// }

var encryptCreditSuccess = function(enCvn) {
	bindCard.submitCreditCard(enCvn);
};

var sendSms = function(mobileNo) {
	VCODE.getVCode(mobileNo, function() {

		$("#btn_vcode").attr('disabled', true);
		VCODE.timer = window.setInterval(VCODE.beginTimer, 1000);
	}, function() {
		$("#btn_vcode").attr('disabled', false);
		$('#loading').hide();
	});
};
